ranges::views::iter_take_while_base_fn Struct Reference
Inheritance diagram for ranges::views::iter_take_while_base_fn:

## Public Member Functions

template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&input_range< Rng > &&predicate< Pred &, iterator_t< Rng >> &&copy_constructible< Pred >) ccconstexpr iter_take_while_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Pred | operator() (Rng &&rng, Pred pred) const